Name:           bsf
Epoch:          0
Version:        2.4.0
Release:        %mkrel 26
Group:          Development/Java
Summary:        Bean Scripting Framework
License:        ASL 2.0
URL:            http://commons.apache.org/bsf/
BuildArch:      noarch

Source0:        http://apache.mirror.anlx.net//commons/%{name}/source/%{name}-src-%{version}.tar.gz
Source1:        %{name}-pom.xml

Patch0:         build-file.patch
Patch1:         build.properties.patch

BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  apache-parent
BuildRequires:  xalan-j2
BuildRequires:  rhino
BuildRequires:  apache-commons-logging

%description
Bean Scripting Framework (BSF) is a set of Java classes which provides
scripting language support within Java applications, and access to Java
objects and methods from scripting languages. BSF allows one to write
JSPs in languages other than Java while providing access to the Java
class library. In addition, BSF permits any Java application to be
implemented in part (or dynamically extended) by a language that is
embedded within it. This is achieved by providing an API that permits
calling scripting language engines from within Java, as well as an
object registry that exposes Java objects to these scripting language
engines.

BSF supports several scripting languages currently:
* Javascript (using Rhino ECMAScript, from the Mozilla project)
* Python (using either Jython or JPython)
* Tcl (using Jacl)
* NetRexx (an extension of the IBM REXX scripting language in Java)
* XSLT Stylesheets (as a component of Apache XML project's Xalan and
Xerces)

In addition, the following languages are supported with their own BSF
engines:
* Java (using BeanShell, from the BeanShell project)
* JRuby
* JudoScript

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
find -name \*.jar -delete

%mvn_file : %{name}
%mvn_alias : org.apache.bsf:

%build
export CLASSPATH=$(build-classpath apache-commons-logging rhino xalan-j2)
ant jar javadocs

%mvn_artifact %{SOURCE1} build/lib/%{name}.jar

%install
%mvn_install -J build/javadocs

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc AUTHORS.txt CHANGES.txt README.txt TODO.txt RELEASE-NOTE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt




%changelog
* Sun May 14 2017 neoclust <neoclust> 0:2.4.0-26.mga6
+ Revision: 1101243
- Cleanup spec file

* Wed Mar 02 2016 neoclust <neoclust> 0:2.4.0-24.mga6
+ Revision: 982438
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 0:2.4.0-23.mga6
+ Revision: 975679
- First rebuild of the java stack
- sync package bsf with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Jan 10 2015 pterjan <pterjan> 0:2.4.0-9.mga5
+ Revision: 809685
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 0:2.4.0-8.mga5
+ Revision: 740570
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.4.0-7.mga5
+ Revision: 678232
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0:2.4.0-6.mga4
+ Revision: 537733
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 0:2.4.0-5.mga4
+ Revision: 487580
- Fix deps

* Fri Jan 11 2013 umeabot <umeabot> 0:2.4.0-4.mga3
+ Revision: 347206
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 20 2011 dmorgan <dmorgan> 0:2.4.0-3.mga2
+ Revision: 156835
- Try to fix demap

* Wed Jul 20 2011 dmorgan <dmorgan> 0:2.4.0-2.mga2
+ Revision: 127270
- Fix CLASSPATH
- Remove gcj_support
- Remove gcj_support

  + gil <gil>
    - add jacl support; maven2 pom

* Sat Jan 15 2011 mikala <mikala> 0:2.4.0-1.8.mga1
+ Revision: 18433
- imported package bsf


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.4.0-1.8mdv2011.0
+ Revision: 603771
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.4.0-1.7mdv2010.1
+ Revision: 522302
- rebuilt for 2010.1

* Tue Aug 18 2009 Jaroslav Tulach <jtulach@mandriva.org> 0:2.4.0-1.6mdv2010.0
+ Revision: 417724
- Simplifying dependencies. Requiring java 1.6 and removing special dependencies on various XML tools as they are part of java 1.6 already

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0:2.4.0-1.5mdv2010.0
+ Revision: 413186
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:2.4.0-1.4mdv2009.0
+ Revision: 136280
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:2.4.0-1.4mdv2008.1
+ Revision: 120805
- buildrequires java-rpmbuild

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:2.4.0-1.3mdv2008.0
+ Revision: 87257
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sat Sep 08 2007 Pascal Terjan <pterjan@mandriva.org> 0:2.4.0-1.2mdv2008.0
+ Revision: 82698
- update to new version


* Thu Mar 22 2007 David Walluck <walluck@mandriva.org> 0:2.4.0-1.1mdv2007.1
+ Revision: 147890
- (Build)Requires jakarta-commons-logging, not log4j
- fix (Build)Requires, specifically log4j
- 2.4.0
- Import bsf

* Sun Jul 23 2006 David Walluck <walluck@mandriva.org> 0:2.3.0-10.1mdv2007.0
- bump release

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:2.3.0-8.3mdv2007.0
- rebuild for libgcj.so.7
- aot-compile

* Mon May 16 2005 David Walluck <walluck@mandriva.org> 0:2.3.0-8.2mdk
- update javac patch

* Mon May 16 2005 David Walluck <walluck@mandriva.org> 0:2.3.0-8.1mdk
- release

* Wed Nov 03 2004 Nicolas Mailhot <nim@jpackage.org>  0:2.3.0-8jpp
- Clean up specfile a bit

* Sat Aug 21 2004 Ralph Apel <r.apel at r-apel.de> 0:2.3.0-7jpp
- Build with ant-1.6.2

